Subject: bug#19022: 25.0.50; crash on mac os x

From: "Jan D." <[email-masked]>
Date: Sun, 16 Nov 2014 10:54:20 +0100

Hi.

Try running emacs with NSZombieEnabled set in the environment and see if it prints anything.

	Jan D.

> 14 nov 2014 kl. 19:11 skrev Sam Steingold <[email-masked]>:
> 
>> * Jan D. <[email-masked]> [2014-11-13 09:59:20 +0100]:
>> 
>> Sam Steingold skrev den 2014-11-11 21:06:
>>> I get crashes all the time now.
>> I don't.  Please give a recepie starting from emacs -Q
> 
> if I could, I would have done it :-(
> 
>>> Git tip.
>> Which is totally unknown, as the new Git repo was not in place.
> 
> rebuilt today. current tip.
> 
>>> I am not sure how to debug this on mac
> 
> suggestions?
> 
>>> 10  libobjc.A.dylib               	0x00007fff837df68c objc_object::sidetable_release(bool) + 236
>>> 11  com.apple.AppKit              	0x00007fff89981d12 -[NSImage dealloc] + 108
>>> 12  org.gnu.Emacs                 	0x00000001001ceafe -[EmacsImage dealloc] + 94
>>> 13  libobjc.A.dylib               	0x00007fff837df68c objc_object::sidetable_release(bool) + 236
>>> 14  org.gnu.Emacs                 	0x00000001001aa6d0 x_clear_image + 32
>>> 15  org.gnu.Emacs                 	0x00000001001a97b1 clear_image_cache + 929
>>> 16  org.gnu.Emacs                 	0x00000001001a93f2 clear_image_caches + 82
>>> 17  org.gnu.Emacs                 	0x00000001000278b9 redisplay_internal + 7241
> 
> this is what I see all the time: the crash in x_clear_image.
> 
> 
> -- 
> Sam Steingold (http://sds.podval.org/) on darwin Ns 10.3.1343
> http://www.childpsy.net/ http://islamexposedonline.com http://ffii.org
> http://mideasttruth.com http://palestinefacts.org http://dhimmi.org
> A number problem "solved" with floats turns into 1.9999999999999998 problems.